My old vim folder
=================

**I used to keep my vim configuration in this folder. I have since moved it into my main dotfiles repository which can be found at:**

<https://git.jonathanh.co.uk/jab2870/Dotfiles/src/branch/master/nvim/.config/nvim>

This is my vim folder.

.vimrc needs to be symlinked / copied to ~/.vimrc.

I use Pathogen for plugins.

All the plugins I use are submodules in the bundle folder

## Plugins

### Syntax plugins

* i3config
* vim-css3-syntax
* vim-es6
* vim-jinja
* vim-json
* vim-less
* vim-openscad
* vim-pandoc-syntax
* vimtex
* wordpress

### Functionality

#### goyo

Adds distraction free writing mode

<https://github.com/junegunn/goyo.vim>

#### matchit

Extends the % operator

<https://github.com/adelarsq/vim-matchit>

#### phpcomplete

Improves php completion

#### quicktex

Snippet tool

<https://github.com/brennier/quicktex>

#### ReplaceWithRegister

Replace text with the contents of a register

<https://github.com/vim-scripts/ReplaceWithRegister>

#### united-front

Syncs registers between vim instances.

<https://github.com/ardagnir/united-front>

#### vim-abolish

Hard to explain. I mainly use this for the Subvert command which is like substitute on steroids.

<https://github.com/tpope/vim-abolish>

#### vim-airline / vim-airline-themes

Makes the status bar look pretty

<https://github.com/vim-airline/vim-airline>

<https://github.com/vim-airline/vim-airline-themes>

#### vim-fugitive

Git integration

<git://github.com/tpope/vim-fugitive.git>

#### vim-repeat

Enable repeating supported plugin maps with "."

<https://github.com/tpope/vim-repeat.git>

#### vim-surround

quoting/parenthesizing made simple

<https://github.com/tpope/vim-surround>

#### vim-table-mode

Adds table mode for MD tables

<https://github.com/dhruvasagar/vim-table-mode>

#### vimtex

Vim plugin for latex enhancements.

<https://github.com/lervag/vimtex>

#### wordpress

Adds some nice things for wordpress

<https://github.com/DArcMattr/wordpress.vim>

#### Command T

A fast fuzzy finder

<https://github.com/wincent/command-t>
